23

Could anybody show me how to install fiddler on Ubuntu? I need to use it for web development.

  • What is "fiddler"? It's not a Ubuntu package. Is there a .deb available? Does the "fiddler" website mention Linux? – waltinator Jun 5 '17 at 16:22
  • fiddler is a web debugging tool and it is not a ubuntu package. As far as I know, fiddler is indeed supported by linux. – dullboy Jun 5 '17 at 16:40
  • Is it the telerik version? – George Udosen Jun 5 '17 at 17:03
34

First things first:

  1. Install mono:

     sudo apt install mono-complete
    
  2. Download fiddler for Linux by clicking here and extract it.

  3. Then with mono installed run it with from the extracted directory:

     mono Fiddler.exe
    
  4. Or run with mono /path/to/extracted/fiddler/Fiddler.exe

enter image description here

Source:

https://www.telerik.com/download/fiddler

http://fiddler.wikidot.com/mono

UPDATE

The fiddler can be gotten from here and installed using the following commands:

  1. chmod a+x progress-telerik-fiddler.AppImage, to make the installer executable, and,

  2. ./progress-telerik-fiddler.AppImage: to install the fiddler.

| improve this answer | |
  • Does not work. Getting this error and Fiddler is crashing. [1] 8102 abort (core dumped) mono /home/curtis/Desktop/vjbl/fiddler-linux/Fiddler.exe Unable to attach: program terminated with signal SIGABRT, Aborted. No threads. – kwoxer Jul 10 '19 at 11:40
  • @George Udosen You should probably update your answer. The version of Fiddler you linked is way outdated (2017). The new way to run Fiddler on Linux is by downloading the AppImage: telerik-fiddler.s3.amazonaws.com/fiddler-latest/… You can then you run ./fiddler.AppImage instead of mono fiddler.exe. – Forivin Mar 12 at 9:35
  • 1
    @forivin thanks will do that once I switch to my Ubuntu OS! – George Udosen Mar 12 at 16:28
  • Maybe is better to remove the old solution, or at least put the new first and the old later! – funder7 Apr 5 at 14:14
  • Old method does not work now, but new fiddler appimage seems much less functional, so let it be. mono FiddlerSetup.exe Cannot open assembly 'FiddlerSetup.exe': File does not contain a valid CIL image. – Gryu May 15 at 16:12
6

To install Fiddler on Ubuntu, use this link Fiddler Everywhere. You will be directed to download the AppImage file. Once the AppImage file is downloaded, the only thing you require is to make it executable by changing its permissions (Right-click on the file and selected properties. On the permissions tab, select Allow executing the file as program). To run the application, right-click on the file and select Run.

| improve this answer | |
0

Fiddler develop for Mono framework.

  1. Add the Mono repository to your system http://www.mono-project.com/download/#download-lin
  2. Download Fiddler for linux https://www.telerik.com/download/fiddler
  3. Extract archive with Fiddler and run Fiddler.exe (press right button and run with Mono)
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.